# Uses of Interface com.destroystokyo.paper.network.StatusClient (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: com.destroystokyo.paper.network, interface: StatusClient

# Uses of Interface
com.destroystokyo.paper.network.StatusClient

Packages that use StatusClient
Package
Description
com.destroystokyo.paper.event.server

## Uses of StatusClient in com.destroystokyo.paper.event.server

Methods in com.destroystokyo.paper.event.server that return StatusClient
Modifier and Type
Method
Description
`@NotNull StatusClient`
PaperServerListPingEvent.`getClient()`
Returns the `StatusClient` pinging the server.
Constructors in com.destroystokyo.paper.event.server with parameters of type StatusClient
Modifier
Constructor
Description
``
`PaperServerListPingEvent(@NotNull StatusClient client, @NotNull String motd, boolean shouldSendChatPreviews, int numPlayers, int maxPlayers, @NotNull String version, int protocolVersion, @Nullable CachedServerIcon favicon)`
Deprecated.
``
`PaperServerListPingEvent(@NotNull StatusClient client, Component motd, boolean shouldSendChatPreviews, int numPlayers, int maxPlayers, @NotNull String version, int protocolVersion, @Nullable CachedServerIcon favicon)`